Support » Plugin: SendGrid » tons of problems with version 1.7.0

  • Resolved LittleBizzy

    (@littlebizzy)


    Hi guys, firstly thanks so much for maintaining this plugin, is it a huge benefit to the WordPress community (and our hosting clients).

    I know “general” complaints are not useful, but I wanted to report that in the last 24 hours (in the time since version 1.7.0 of your plugin was released) many of our hosting customers have had all kinds of problems with your plugin.

    In some cases the plugin is causing fatal errors to occur when certain themes or plugins are installed on a site (the conflict is unclear). In other cases, the username/password is no longer being saved properly on the settings page.

    Checking your 1.7.0 changelog does not give a clear picture of what could be going on, but unfortunately even the ‘debug’ mode for WordPress is not possible to use when 500 errors are occurring (as is the case with some of our clients, who must disable your plugin to view their site).

    I will try to update this thread as more information becomes available but as it is now, we will be recommending our clients to revert to an older version of your plugin.

    Thank you kindly ~

    UPDATE: for anyone with similar issues, the Postman plugin is working fine with our SendGrid API key (although no username/pass option, which is fine):

    https://wordpress.org/plugins/postman-smtp/

    https://wordpress.org/plugins/sendgrid-email-delivery-simplified/

Viewing 8 replies - 1 through 8 (of 8 total)
  • justinjwilson

    (@justinjwilson)

    You’re not the only one. Tons of custom landing pages, and not one form works for us. All settings have been reset once it was updated.

    LittleBizzy

    (@littlebizzy)

    Just as a follow up, we’ve determined so far that it seems the new version of the SendGrid plugin could be conflicting with other plugins, but we aren’t sure which ones. The Postman plugin is the same, and it appears that this has happened previously as well:

    https://wordpress.org/support/topic/postman-smtp-not-working-with-woocommerce

    …although past instances may not have involved the SendGrid API.

    In one case, one of our hosting clients had a theme bundled with very out of date WooCommerce template files which could have been at fault, but in other cases they are on very modern and well maintained themes, like Avada.

    If we can come up with a list of plugins conflicting with SendGrid (either the SendGrid API, or the SendGrid plugin and/or Postman plugin) then we will try to post back here again, although still not clear. Cheers ~

    P.S. @justinjwilson yes it seems some sites also have had their API key and/or username/password completely removed from SendGrid plugin settings

    justinjwilson

    (@justinjwilson)

    For now we’ve reverted to 1.6.9 by zipping a backed up folder. Everything’s working again. Not confident in updating this one till all the kinks are worked out. At least glad to know we’re not the only ones having serious issues.

    Plugin Author Twilio SendGrid

    (@team-rs)

    Can you tell us which is the php version and WordPress version you are using? Also if you could give us the list of plugin you are having, it would be helpful, since we couldn’t reproduce it yet.Thanks!

    Plugin Author Twilio SendGrid

    (@team-rs)

    We have made some changes in 1.7.1 version removing a timeout we set, which we think might have caused the problems. Please let us know if you still have issues and if so, can you send the php version and WordPress version you are using (also the plugins you have installed)? Thanks!

    LittleBizzy

    (@littlebizzy)

    @sendgrid, all our clients are using PHP 5.5, MySQL 5.6, and the latest version of WordPress. It’s possible given the upgrade to WooCommerce 2.5 in the past 48 hours that it could have been related; it does seem like one possible correlation among our various clients, but the list of plugins they each have installed varies greatly.

    If possible, I would encourage testing your plugin extensively on a variety of different WordPress setups before releasing updates, and especially checking for compatibility with the latest versions of WooCommerce because there are several large eCommerce companies using your plugin on our network that were without email notifications for several hours due to this hiccup >_<

    Anyway thanks for your quick reply and for now it seems the Postman SMTP plugin is working very smoothly with your API. Thanks again ~

    Plugin Author Twilio SendGrid

    (@team-rs)

    We have also added a fix for mcrypt library dependency issue in 1.7.2 version. Let us know if you still have issues.

    Plugin Author Twilio SendGrid

    (@team-rs)

    We have added a fix for mcrypt library depencency issue on 1.7.2 version. Let us know if you still have issues.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘tons of problems with version 1.7.0’ is closed to new replies.